package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.business.entity.SysLevel;
import com.qmth.sop.business.entity.SysLevelRole;
import com.qmth.sop.business.entity.SysRole;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 档位表
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
public class SysLevelResult extends SysLevel implements Serializable {

    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "创建人")
    private String createName;


    @ApiModelProperty(value = "项目角色配置")
    private List<SysLevelRoleResult> roleList = new ArrayList<>();

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public List<SysLevelRoleResult> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<SysLevelRoleResult> roleList) {
        this.roleList = roleList;
    }
}
